*,
*:before,
*:after {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

#diagram {
    padding: 60px 185px 25px;
}

#wrapper {
    position: relative;
}

.branch {
    position: relative;
    margin-left: 250px;
}

.branch:before {
    content: "";
    width: 50px;
    border-top: 1px solid #000000;
    position: absolute;
    left: -100px;
    top: 50%;
    margin-top: 1px;
}

.entry {
    position: relative;
    min-height: 60px;

}

.entry:before {
    content: "";
    height: 100%;
    border-left: 1px solid #000000;
    position: absolute;
    left: -50px;
}

.entry:after {
    content: "";
    width: 50px;
    border-top: 1px solid #000000;
    position: absolute;
    left: -50px;
    top: 50%;
    margin-top: 1px;
}

.entry:first-child:before {
    width: 10px;
    height: 50%;
    top: 50%;
    margin-top: 1px;

}

.entry:first-child:after {
    height: 10px;

}

.entry:last-child:before {
    width: 10px;
    height: 50%;

}

.entry:last-child:after {
    height: 10px;
    border-top: none;
    border-bottom: 1px solid #000000;

    margin-top: -9px;
}

.entry.sole:before {
    display: none;
}

.entry.sole:after {
    width: 50px;
    height: 0;
    margin-top: 1px;
    border-radius: 0;
}

.label {
    display: block;
    min-width: 150px;
    padding: 5px 10px;
    line-height: 20px;
    text-align: center;
    border: 1px solid #000000;
    background-color: yellow;
    position: absolute;
    left: 0;
    top: 50%;
    margin-top: -15px;
}

@media (max-width: 600px) {

    #diagram {
        padding: 100px 15px;
    }

    .branch {
        margin-left: 90px;
    }

    .branch:before {
        width: 10px;
        left: -20px;
    }


    .entry:before {
        left: -10px;
    }

    .entry:after {
        width: 10px;
        left: -10px;
    }

    .label {
        font-size: 14px;
        min-width: 0;
        width: 70px;
        line-height: 14px;
        padding: 5px 10px;
    }

}